//import java.util.Properties;
//import java.util.logging.Logger;
//
//import javax.mail.Message;
//import javax.mail.MessagingException;
//import javax.mail.PasswordAuthentication;
//import javax.mail.Session;
//import javax.mail.Transport;
//import javax.mail.internet.InternetAddress;
//import javax.mail.internet.MimeMessage;
//
//import org.junit.Test;
//
//import it.cnr.iit.obligationengine.obligations.ObligationConstants;
//import it.cnr.iit.obligationengine.obligations.ObligationEngine;
//
//class SendEmailTest {
//
//	private static final Logger log = Logger.getLogger(ObligationEngine.class.getName());
//
//	@Test
//	void test() {
//		String email = "simone.facchini@iit.cnr.it";
//		log.severe("notifyUserByEmail to " + email);
//
//		String host = "smtp.gmail.com";
////		Properties properties = System.getProperties();
////
////		properties.put("mail.smtp.host", host);
////		properties.put("mail.smtp.port", "465");
////		properties.put("mail.smtp.ssl.enable", "true");
////		properties.put("mail.smtp.auth", "true");
////		properties.put("mail.transport.protocol", "smtp");
////		properties.put("mail.debug", "true");
//
//		// Di Cerbo
//		String port = "587";
//		Properties properties = new Properties();
//		properties.put("mail.smtp.auth", "true");
//		properties.put("mail.smtp.starttls.enable", "true");
//		properties.put("mail.smtp.host", host);
//		properties.put("mail.smtp.port", port);
//		properties.put("mail.smtp.user", ObligationConstants.EMAILSENDER);
//		properties.put("mail.debug", "true");
//		properties.put("mail.smtp.ssl.trust", "smtp.gmail.com");
//
//		Session session = Session.getInstance(properties, new javax.mail.Authenticator() {
//
//			@Override
//			protected PasswordAuthentication getPasswordAuthentication() {
//
//				return new PasswordAuthentication(ObligationConstants.EMAILSENDER, ObligationConstants.SENDERPASSWORD);
//
//			}
//
//		});
//
//		try {
//			// Create a default MimeMessage object.
//			MimeMessage message = new MimeMessage(session);
//
//			// Set From: header field of the header.
//			message.setFrom(new InternetAddress(ObligationConstants.EMAILSENDER));
//
//			// Set To: header field of the header.
//			message.setRecipient(Message.RecipientType.TO, new InternetAddress(email));
//
//			// Set Subject: header field
//			message.setSubject("C3ISP notification");
//
//			// Now set the actual message
//			message.setText("This email has been generated by C3ISP system to notify an event");
//
//			log.severe("sending...");
//
//			Transport.send(message);
//			log.severe("Sent message successfully....");
//		} catch (MessagingException mex) {
//			mex.printStackTrace();
//		}
//	}
//
//}
